SKGPIO(4)

NAME
skgpio - Soekris net6501 GPIO and LEDs

SYNOPSIS
skgpio0 at isa? port 0x680
gpio* at skgpio?

DESCRIPTION
The skgpio driver provides support for the GPIO and LEDs as implemented by the Xilinx Spartan FGPA integrated into the Soekris net6501 programmed with the default bitstream found in the BIOS.

Two standard gpio(4) interfaces are provided, one for the 16 real pins which can be configured as either inputs or outputs and another with 2 output-only pins that map to the error and ready LEDs respectively. Both may be used with gpioctl(8).

SEE ALSO
gpio(4), intro(4), isa(4), gpioctl(8)

HISTORY
The skgpio driver first appeared in OpenBSD 5.7.

AUTHORS
The skgpio driver was written by Matt Dainty <matt@bodgit-n-scarper.com>.

BUGS
If the Xilinx FPGA is programmed with a different bistream, the driver will likely not function.